## GalViewInstance

GalViewInstance

## Functions

GalViewInstance * | gal_view_instance_new ()
GalViewInstance * | gal_view_instance_construct ()
gchar * | gal_view_instance_get_current_view_id ()
void | gal_view_instance_set_current_view_id ()
GalView * | gal_view_instance_get_current_view ()
void | gal_view_instance_set_custom_view ()
gboolean | gal_view_instance_exists ()
void | gal_view_instance_save_as ()
void | gal_view_instance_load ()
const gchar * | gal_view_instance_get_default_view ()
void | gal_view_instance_set_default_view ()

## Signals

void | changed | Run Last
void | display-view | Run Last
void | loaded | Run First

## Types and Values

struct | GalViewInstance

## Object Hierarchy

        GObject
        ╰── GalViewInstance

## Description

## Functions

### gal_view_instance_new ()

    GalViewInstance *
    gal_view_instance_new (GalViewCollection *collection,
                           const gchar *instance_id);

Create a new `GalViewInstance`.

#### Parameters

collection | This `GalViewCollection` should be loaded before being passed to this function. |
instance_id | Which instance of this type of object is this (for most of evo, this is the folder id.) |

#### Returns

The new `GalViewInstance`.

### gal_view_instance_construct ()

    GalViewInstance *
    gal_view_instance_construct (GalViewInstance *instance,
                                 GalViewCollection *collection,
                                 const gchar *instance_id);

### gal_view_instance_get_current_view_id ()

    gchar *
    gal_view_instance_get_current_view_id (GalViewInstance *instance);

### gal_view_instance_set_current_view_id ()

    void
    gal_view_instance_set_current_view_id (GalViewInstance *instance,
                                           const gchar *view_id);

### gal_view_instance_get_current_view ()

    GalView *
    gal_view_instance_get_current_view (GalViewInstance *instance);

### gal_view_instance_set_custom_view ()

    void
    gal_view_instance_set_custom_view (GalViewInstance *instance,
                                       GalView *view);

### gal_view_instance_exists ()

    gboolean
    gal_view_instance_exists (GalViewInstance *instance);

### gal_view_instance_save_as ()

    void
    gal_view_instance_save_as (GalViewInstance *instance);

### gal_view_instance_load ()

    void
    gal_view_instance_load (GalViewInstance *instance);

### gal_view_instance_get_default_view ()

    const gchar *
    gal_view_instance_get_default_view (GalViewInstance *instance);

### gal_view_instance_set_default_view ()

    void
    gal_view_instance_set_default_view (GalViewInstance *instance,
                                        const gchar *id);

## Types and Values

### struct GalViewInstance

    struct GalViewInstance;

## Signal Details

### The `“changed”` signal

    void
    user_function (GalViewInstance *galviewinstance,
                   gpointer         user_data)

Flags: Run Last

### The `“display-view”` signal

    void
    user_function (GalViewInstance *galviewinstance,
                   GalView         *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“loaded”` signal

    void
    user_function (GalViewInstance *galviewinstance,
                   gpointer         user_data)

Flags: Run First